> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 企業情報ルックアップ

> Pubrio検索ID、ドメイン、またはLinkedIn URLを使用して、特定の企業の詳細情報を取得します。



## OpenAPI

````yaml jp-openapi POST /companies/lookup
openapi: 3.0.0
info:
  description: >-
    Pubrio API
    はマーケット拡大インテリジェンスを提供します——企業の新市場参入を捉えるリアルタイムシグナルと、その基盤となる企業・人物データ。アカウントやコンタクトの検索・ルックアップ・エンリッチメントに加え、200+
    市場にわたる種別・日付付きの動きシグナルを購読できます。
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ja/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ja/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: ワークスペースプロフィール情報と使用統計
  - name: Enrichment
    description: 詳細なB2Bデータで人物・企業レコードをエンリッチメント
  - name: Lookalike
    description: 指定した企業に類似する企業を検索
  - name: Search
    description: フィルターを使用して人物、企業、求人、ニュース、広告を検索
  - name: Lookup
    description: 特定の人物、企業、求人、ニュース、広告、テクノロジーの詳細情報を検索
  - name: LinkedIn
    description: LinkedInプロフィールURLから人物・企業データを検索
  - name: Redeem
    description: クレジットを消費して人物の連絡先情報をアンロック（単件・バッチ）
  - name: Channels
    description: アウトリーチチャネルテンプレートの管理（作成・更新・削除・一覧）
  - name: Monitor
    description: Webhook、統計、処理を含むデータモニターの作成と管理
  - name: Filters
    description: 検索パラメータで使用可能なフィルター値を取得（テクノロジー、地域、バーティカルなど）
  - name: API Keys
    description: APIキーのリクエストログと使用状況分析を表示
  - name: Insights
    description: 企業のシグナル集計インサイト(採用、ニュース、広告)。
  - name: Export
    description: 一括データエクスポート(クレジット消費)。
  - name: Expansion
    description: '企業の市場拡大インテリジェンス: シグナル、ステージ、市場、エクスポート。'
externalDocs:
  description: >-
    Pubrio API は、コンタクトおよびアカウント情報の検索・プレビュー・エンリッチメントに利用できます。Pubrio データベースは、豊富な B2B
    連絡先データとセールスインテリジェンスを提供します。
  url: https://docs.pubrio.com
paths:
  /companies/lookup:
    post:
      tags:
        - Lookup
      summary: IDによる企業検索
      description: Pubrio検索ID、ドメイン、またはLinkedIn URLを使用して、特定の企業の詳細情報を取得します。
      operationId: companies_lookup
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                domain_search_id:
                  $ref: '#/components/schemas/domain_search_id'
                domain:
                  $ref: '#/components/schemas/domain'
                linkedin_url:
                  $ref: '#/components/schemas/company_linkedin_url'
                profile_id:
                  $ref: '#/components/schemas/profile_id'
              anyOf:
                - title: Domain Search ID
                  required:
                    - domain_search_id
                - title: ドメイン
                  required:
                    - domain
                - title: LinkedIn URL
                  required:
                    - linkedin_url
      responses:
        '200':
          description: 関連する詳細情報を含む成功レスポンスです。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/data'
              example:
                data:
                  logo_url: >-
                    https://buckets.pubrio.com/company-logo/NzMwNTQzMzkzaWxqOXNzbmoxbmV0ZmxpeC5jb21saW5rZWRpbl8zMzMxMjk0OQ==.jpg
                  emails:
                    - ...
                  phones:
                    - ...
                  contacts:
                    - ...
                  estimated_revenue: 38900000000
                  publicly_traded_symbol: NFLX
                  publicly_traded_exchange: nasdaq
                  specialties:
                    - Entertainment
                    - Entertainment Providers
                    - Telecommunications
                    - Media Production
                  company_keywords:
                    - consumer electronics
                    - games
                    - entertainment
                    - consumer internet
                    - hardware
                    - information technology
                    - internet
                    - revolutionizing the way people watch tv shows & movies
                  company_ranking: 232
                  title: Netflix - Watch TV Shows Online, Watch Movies Online
                  description: >-
                    Netflix is one of the world's leading entertainment services
                    with over 247 million paid memberships in over 190 countries
                    enjoying TV series, films and games across a wide variety of
                    genres and languages. Members can play, pause and resume
                    watching as much as they want, anytime, anywhere, and can
                    change their plans at any time.
                  company_address: 100 Winchester Circle, Los Gatos, Ca, Us
                  company_name: Netflix
                  founded_year: 1997
                  industry: Entertainment
                  domain: netflix.com
                  domain_search_id: 575463e2-474d-4f0a-acc3-fdc2be51e07e
                  domain_id: 70635725
                  linkedin_company_id: 33312949
                  domain_ids:
                    - 585935484
                    - 730543393
                    - 368242675
                    - 70635725
                  company_size: 16000
                  company_size_printed: 16,000
                  youtube_url: null
                  crunchbase_url: null
                  linkedin_url: http://www.linkedin.com/company/netflix
                  instagram_url: http://instagram.com/netflix
                  facebook_url: http://facebook.com/netflixus
                  twitter_url: https://twitter.com/netflix
                  github_url: null
                  x_url: null
                  country_code: US
                  location: United States
                  company_url: http://netflix.com
                  company_addresses:
                    - 100 Winchester Circle Los Gatos, CA, US
                    - 5808 W Sunset Blvd Los Angeles, CA 90028, US
                    - Alameda Xingu, 350 Barueri, SP 06455-030, BR
                    - 245 W 17th St New York, 10011, US
                    - Stadhouderskade 55 Amsterdam, North Holland 1072 AB, NL
                    - 9 Straits Vw Marina South, 01, SG
                    - >-
                      Av. Paseo De La Reforma 483 Torre Reforma, Floor 37 Mexico
                      City, Cuauhtémoc 06500, MX
                  saved_lists: null
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    domain_search_id:
      type: string
      format: uuid
      description: 企業検索系の処理を紐づけるための一意の識別子です。
    domain:
      type: string
      example: pubrio.com
      description: >-
        企業ルックアップに使用する会社ドメインです。`www.pubrio.com` や `https://docs.pubrio.com/`
        のような値が指定された場合、自動的に `pubrio.com` に正規化されます。
    company_linkedin_url:
      type: string
      example: https://www.linkedin.com/company/pubrio
      description: >-
        企業の LinkedIn 公式ページを指す完全な URL です。値は `http` で始まり、`linkedin.com/company/`
        を含んでいる必要があります。
    profile_id:
      type: integer
      description: >-
        オプション。リクエストを送信するチームを表す識別子です。API
        キーにワークスペース情報が既に含まれているため、このパラメータは必須ではなくなりました。指定した場合、検索結果が特定のチーム（ワークスペース）に紐づけられ、データ取得およびクレジット利用状況の追跡が可能になります。詳しくは、チーム関連の「ユーザー詳細」エンドポイントを参照してください。
    data:
      type: object
      nullable: true
      description: エンドポイント固有のレスポンスをオブジェクト形式で格納する汎用コンテナです。
  responses:
    general_error:
      description: リクエストエラー。リクエストの形式が不正であるか、無効なパラメータが含まれています。エラーコードとメッセージを確認してください。
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: エラーの背景やフィールド単位の情報などを含む追加データオブジェクトです。
                type: string
              details:
                type: object
    rate_limit_error:
      description: レート制限超過。一定期間内に多すぎるリクエストが送信されました。レート制限ウィンドウがリセットされた後に再試行してください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: クライアントはしばらく待ってから再試行することが推奨されます。
                type: string
    server_error:
      description: 内部サーバーエラー。サーバーで予期しないエラーが発生しました。エラーが続く場合はサポートにお問い合わせください。
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: レスポンスボディには `error` フィールドが含まれ、問題の概要がメッセージとして記載されます。
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API で実行する操作内容と、その操作に付与された権限を識別するための一意の API トークンです。このトークンはダッシュボードの
        [設定](https://dashboard.pubrio.com/#/settings/) 画面から発行できます。
      in: header

````